"use strict";

Object.defineProperty(exports, "__esModule", {
    value: true
});

var _extends = Object.assign || function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; };

var _atpSugar = require("atp-sugar");

var _reactRedux = require("react-redux");

var _treeNode = require("../component/tree-node");

var _treeNode2 = _interopRequireDefault(_treeNode);

var _tree = require("../reducer/tree");

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

exports.default = (0, _reactRedux.connect)(function (state, props) {
    return (0, _atpSugar.o)(props.parentNodeId + "/" + props.id).as(function (nodeId) {
        return _extends({}, props, {
            nodeId: nodeId,
            obj: props.getObject(state, props.id),
            children: props.getChildren(state, props.id).sort(props.sorter),
            parents: props.parents || [],
            node: (0, _tree.getTreeNode)(function () {
                return state;
            }, nodeId)
        });
    });
}, function (dispatch, props) {
    return (0, _atpSugar.o)(props.parentNodeId + "/" + props.id).as(function (nodeId) {
        return {
            onOpen: function onOpen(id) {
                return function () {
                    return dispatch((0, _tree.openTreeNode)(id));
                };
            },
            onClose: function onClose(id) {
                return function () {
                    return dispatch((0, _tree.closeTreeNode)(id));
                };
            }
        };
    });
})(_treeNode2.default);